package java.nio.file;

import java.util.Iterator;
import java.nio.file.spi.FileSystemProvider;
import java.net.URI;

public final class Paths
{
    private Paths() {
    }
    
    public static Path get(String s, String... array) {
        return FileSystems.getDefault().getPath(s, array);
    }
    
    public static Path get(URI uri) {
        String scheme = uri.getScheme();
        if (scheme == null) {
            throw new IllegalArgumentException("Missing scheme");
        }
        if (scheme.equalsIgnoreCase("file")) {
            return FileSystems.getDefault().provider().getPath(uri);
        }
        for (FileSystemProvider fileSystemProvider : FileSystemProvider.installedProviders()) {
            if (fileSystemProvider.getScheme().equalsIgnoreCase(scheme)) {
                return fileSystemProvider.getPath(uri);
            }
            continue;
        }
        throw new FileSystemNotFoundException("Provider \"" + scheme + "\" not installed");
    }
}
